## rb-file-helpers rb-file-helpers — |

## Synopsis

    const char* rb_file                         (const char *filename);
    const char* rb_dot_dir                      (void);
    GnomeVFSResult rb_uri_mkstemp               (const char *prefix,
                                                 char **uri,
                                                 GnomeVFSHandle **handle);
    char*       rb_uri_resolve_symlink          (const char *uri);
    gboolean    rb_uri_is_directory             (const char *uri);
    gboolean    rb_uri_exists                   (const char *uri);
    char*       rb_uri_resolve_relative         (const char *uri);
    gboolean    rb_uri_is_readable              (const char *uri);
    gboolean    rb_uri_is_writable              (const char *uri);
    void        rb_uri_handle_recursively       (const char *uri,
                                                 GFunc func,
                                                 gboolean *cancelflag,
                                                 gpointer user_data);
    void        rb_file_helpers_init            (void);
    void        rb_file_helpers_shutdown        (void);

## Description

## Details

### rb_file ()

    const char* rb_file                         (const char *filename);

`filename` : |
Returns : |

### rb_dot_dir ()

    const char* rb_dot_dir                      (void);

Returns : |

### rb_uri_mkstemp ()

    GnomeVFSResult rb_uri_mkstemp               (const char *prefix,
                                                 char **uri,
                                                 GnomeVFSHandle **handle);

`prefix` : |
`uri` : |
`handle` : |
Returns : |

### rb_uri_resolve_symlink ()

    char*       rb_uri_resolve_symlink          (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_directory ()

    gboolean    rb_uri_is_directory             (const char *uri);

`uri` : |
Returns : |

### rb_uri_exists ()

    gboolean    rb_uri_exists                   (const char *uri);

`uri` : |
Returns : |

### rb_uri_resolve_relative ()

    char*       rb_uri_resolve_relative         (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_readable ()

    gboolean    rb_uri_is_readable              (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_writable ()

    gboolean    rb_uri_is_writable              (const char *uri);

`uri` : |
Returns : |

### rb_uri_handle_recursively ()

    void        rb_uri_handle_recursively       (const char *uri,
                                                 GFunc func,
                                                 gboolean *cancelflag,
                                                 gpointer user_data);

`uri` : |
`func` : |
`cancelflag` : |
`user_data` : |

### rb_file_helpers_init ()

    void        rb_file_helpers_init            (void);

### rb_file_helpers_shutdown ()

    void        rb_file_helpers_shutdown        (void);